JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const scenarioDefinitionListView = await client.benchmarks.definitions('id');
console.log(scenarioDefinitionListView.has_more);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
scenario_definition_list_view = client.benchmarks.definitions(
id="id",
)
print(scenario_definition_list_view.has_more)curl --request GET \
--url https://api.runloop.ai/v1/benchmarks/{id}/definitions \
--header 'Authorization: Bearer <token>'
{
"scenarios": [
{
"id": "<string>",
"name": "<string>",
"input_context": {
"problem_statement": "<string>",
"additional_context": {}
},
"scoring_contract": {
"scoring_function_parameters": [
{
"name": "<string>",
"scorer": {
"search_directory": "<string>",
"pattern": "<string>",
"type": "ast_grep_scorer",
"lang": "<string>"
},
"weight": 123
}
]
},
"metadata": {},
"environment": {
"blueprint_id": "<string>",
"snapshot_id": "<string>",
"launch_parameters": {
"launch_commands": [
"<string>"
],
"available_ports": [
123
],
"keep_alive_time_seconds": 123,
"after_idle": {
"idle_time_seconds": 123
},
"custom_cpu_cores": 123,
"custom_gb_memory": 123,
"custom_disk_size": 123,
"user_parameters": {
"username": "<string>",
"uid": 123
},
"required_services": [
"<string>"
],
"network_policy_id": "<string>",
"lifecycle": {
"after_idle": {
"idle_time_seconds": 123
},
"resume_triggers": {
"http": true,
"axon_event": true
},
"lifecycle_hooks": {
"suspend_commands": [
"<string>"
],
"suspend_deadline_ms": 123
}
}
},
"working_directory": "<string>"
},
"reference_output": "<string>",
"required_environment_variables": [
"<string>"
],
"required_secret_names": [
"<string>"
],
"is_public": true,
"scorer_timeout_sec": 123
}
],
"has_more": true,
"total_count": 123
}Benchmark
Get scenario definitions for a Benchmark.
Get scenario definitions for a previously created Benchmark.
GET
/
v1
/
benchmarks
/
{id}
/
definitions
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const scenarioDefinitionListView = await client.benchmarks.definitions('id');
console.log(scenarioDefinitionListView.has_more);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
scenario_definition_list_view = client.benchmarks.definitions(
id="id",
)
print(scenario_definition_list_view.has_more)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Benchmark ID.
Query Parameters
The limit of items to return. Default is 20. Max is 5000.
Load the next page of data starting after the item with the given ID.
Was this page helpful?
⌘I
